Bug 164227 - [boot] Can't boot 9.0-RELEASE/sparc64 on Blade 1500
Summary: [boot] Can't boot 9.0-RELEASE/sparc64 on Blade 1500
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: sparc64 (show other bugs)
Version: 9.0-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-sparc64 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-17 00:50 UTC by cpghost
Modified: 2015-11-29 20:12 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cpghost 2012-01-17 00:50:09 UTC
Booting a FreeBSD-9.0-RELEASE kernel on a Blade 1500 panics with:

panic: kmem_suballoc: bad status return of 3
cpuid = 0
KDB: stack backtrace:
  #0 0xc079841c at ??+0
  #1 0xc04ca59c at ??+0
  #2 0xc0487f90 at ??+0
  #3 0xc0098028 at ??+0

This is on a Blade 1500 with 2 GB of RAM.

dmesg when verbose booting 8.2-RELEASE with the full 2 GB:

Copyright (c) 1992-2011 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 8.2-RELEASE #0: Thu Feb 17 06:57:44 UTC 2011
    root@araz.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC sparc64
Preloaded elf kernel "/boot/GENERIC/kernel" at 0xc0b9c000.
real memory  = 2147483648 (2048 MB)
avail memory = 2079563776 (1983 MB)
machine: SUNW,Sun-Blade-1500-S
cpu0: Sun Microsystems UltraSparc-IIIi Processor (1503.00 MHz CPU)
  mask=0x34 maxtl=5 maxwin=7
wlan: <802.11 Link Layer>
firmware: 'isp_1000' version 1: 20142 bytes loaded at 0xc0725d38
ispfw: registered firmware <isp_1000>
firmware: 'isp_1040' version 1: 22944 bytes loaded at 0xc072abe6
ispfw: registered firmware <isp_1040>
firmware: 'isp_1040_it' version 1: 32942 bytes loaded at 0xc0730586
ispfw: registered firmware <isp_1040_it>
firmware: 'isp_1080' version 1: 31350 bytes loaded at 0xc0738634
ispfw: registered firmware <isp_1080>
firmware: 'isp_1080_it' version 1: 40644 bytes loaded at 0xc07400aa
ispfw: registered firmware <isp_1080_it>
firmware: 'isp_12160' version 1: 28050 bytes loaded at 0xc0749f6e
ispfw: registered firmware <isp_12160>
firmware: 'isp_12160_it' version 1: 40604 bytes loaded at 0xc0750d00
ispfw: registered firmware <isp_12160_it>
firmware: 'isp_2100' version 1: 76770 bytes loaded at 0xc075ab9c
ispfw: registered firmware <isp_2100>
firmware: 'isp_2200' version 1: 77214 bytes loaded at 0xc076d77e
ispfw: registered firmware <isp_2200>
firmware: 'isp_2300' version 1: 106640 bytes loaded at 0xc078051c
ispfw: registered firmware <isp_2300>
firmware: 'isp_2322' version 1: 108856 bytes loaded at 0xc079a5ac
ispfw: registered firmware <isp_2322>
firmware: 'isp_2400' version 1: 177416 bytes loaded at 0xc07b8164
ispfw: registered firmware <isp_2400>
firmware: 'isp_2400_multi' version 1: 193652 bytes loaded at 0xc07efe54
ispfw: registered firmware <isp_2400_multi>
firmware: 'isp_2500' version 1: 140732 bytes loaded at 0xc082c140
ispfw: registered firmware <isp_2500>
firmware: 'isp_2500_multi' version 1: 164528 bytes loaded at 0xc085d0c4
ispfw: registered firmware <isp_2500_multi>
null: <null device, zero device>
random: <entropy source, Software, Yarrow>
nfslock: pseudo-device
kbd0 at kbdmux0
openfirm: <Open Firmware control device>
mem: <memory>
nexus0: <Open Firmware Nexus device>
pcib0: <Sun Host-PCI bridge> mem 0x4000f600000-0x4000f60afff,0x4000f410000-0x4000f41701f,0x7fe00000000-0x7fe000000ff,0x4000f780000-0x4000f78ffff irq 1970,1968,1969,1972,1953 on nexus0
pcib0: Tomatillo, version 4, IGN 0x1e, bus A, 33MHz
Timecounter "pcib0" frequency 167000000 Hz quality -100
pcib0: DVMA map: 0xc0000000 to 0xdfffffff 65536 entries
pcib0: PROM IOTSB size: 1 (2048 entries)
pcib0: adding PROM IOTSB slot 0 (kernel slot 63488) TTE: 0x800000013fde0012
pcib0: adding PROM IOTSB slot 1 (kernel slot 63489) TTE: 0x800000013fde2012
pcib0: adding PROM IOTSB slot 2 (kernel slot 63490) TTE: 0x800000013fde4012
pcib0: adding PROM IOTSB slot 3 (kernel slot 63491) TTE: 0x800000013fde6012
pcib0: adding PROM IOTSB slot 4 (kernel slot 63492) TTE: 0x800000013fde8012
pcib0: adding PROM IOTSB slot 5 (kernel slot 63493) TTE: 0x800000013fdea012
pcib0: adding PROM IOTSB slot 6 (kernel slot 63494) TTE: 0x800000013fdec012
pcib0: adding PROM IOTSB slot 7 (kernel slot 63495) TTE: 0x800000013fdee012
pcib0: adding PROM IOTSB slot 8 (kernel slot 63496) TTE: 0x800000013fdf0012
pcib0: adding PROM IOTSB slot 9 (kernel slot 63497) TTE: 0x800000013fdf2012
pcib0: adding PROM IOTSB slot 10 (kernel slot 63498) TTE: 0x800000013fdf4012
pcib0: adding PROM IOTSB slot 11 (kernel slot 63499) TTE: 0x800000013fdf6012
pcib0: adding PROM IOTSB slot 12 (kernel slot 63500) TTE: 0x800000013fdf8012
pcib0: adding PROM IOTSB slot 13 (kernel slot 63501) TTE: 0x800000013fdfa012
pcib0: adding PROM IOTSB slot 14 (kernel slot 63502) TTE: 0x800000013fdfc012
pcib0: adding PROM IOTSB slot 15 (kernel slot 63503) TTE: 0x800000013fdfe012
pcib0: adding PROM IOTSB slot 16 (kernel slot 63504) TTE: 0x800000013fe00012
pcib0: adding PROM IOTSB slot 17 (kernel slot 63505) TTE: 0x800000013fe02012
pcib0: adding PROM IOTSB slot 18 (kernel slot 63506) TTE: 0x800000013fe04012
pcib0: adding PROM IOTSB slot 19 (kernel slot 63507) TTE: 0x800000013fe06012
pcib0: adding PROM IOTSB slot 20 (kernel slot 63508) TTE: 0x800000013fe08012
pcib0: adding PROM IOTSB slot 21 (kernel slot 63509) TTE: 0x800000013fe0a012
pcib0: adding PROM IOTSB slot 22 (kernel slot 63510) TTE: 0x800000013fe0c012
pcib0: adding PROM IOTSB slot 23 (kernel slot 63511) TTE: 0x800000013fe0e012
pcib0: adding PROM IOTSB slot 24 (kernel slot 63512) TTE: 0x800000013fe10012
pcib0: adding PROM IOTSB slot 25 (kernel slot 63513) TTE: 0x800000013fe12012
pcib0: adding PROM IOTSB slot 26 (kernel slot 63514) TTE: 0x800000013fe14012
pcib0: adding PROM IOTSB slot 27 (kernel slot 63515) TTE: 0x800000013fe16012
pcib0: adding PROM IOTSB slot 28 (kernel slot 63516) TTE: 0x800000013fe18012
pcib0: adding PROM IOTSB slot 29 (kernel slot 63517) TTE: 0x800000013fe1a012
pcib0: adding PROM IOTSB slot 30 (kernel slot 63518) TTE: 0x800000013fe1c012
pcib0: adding PROM IOTSB slot 31 (kernel slot 63519) TTE: 0x800000013fe1e012
pcib0: adding PROM IOTSB slot 32 (kernel slot 63520) TTE: 0x800000013fe20012
pcib0: adding PROM IOTSB slot 33 (kernel slot 63521) TTE: 0x800000013fe22012
pcib0: adding PROM IOTSB slot 34 (kernel slot 63522) TTE: 0x800000013fe24012
pcib0: adding PROM IOTSB slot 35 (kernel slot 63523) TTE: 0x800000013fe26012
pcib0: adding PROM IOTSB slot 36 (kernel slot 63524) TTE: 0x800000013fe28012
pcib0: adding PROM IOTSB slot 37 (kernel slot 63525) TTE: 0x800000013fe2a012
pcib0: adding PROM IOTSB slot 38 (kernel slot 63526) TTE: 0x800000013fe2c012
pcib0: adding PROM IOTSB slot 39 (kernel slot 63527) TTE: 0x800000013fe2e012
pcib0: adding PROM IOTSB slot 40 (kernel slot 63528) TTE: 0x800000013fe30012
pcib0: adding PROM IOTSB slot 41 (kernel slot 63529) TTE: 0x800000013fe32012
pcib0: adding PROM IOTSB slot 42 (kernel slot 63530) TTE: 0x800000013fe34012
pcib0: adding PROM IOTSB slot 43 (kernel slot 63531) TTE: 0x800000013fe36012
pcib0: adding PROM IOTSB slot 44 (kernel slot 63532) TTE: 0x800000013fe38012
pcib0: adding PROM IOTSB slot 45 (kernel slot 63533) TTE: 0x800000013fe3a012
pcib0: adding PROM IOTSB slot 46 (kernel slot 63534) TTE: 0x800000013fe3c012
pcib0: adding PROM IOTSB slot 47 (kernel slot 63535) TTE: 0x800000013fe3e012
pcib0: adding PROM IOTSB slot 48 (kernel slot 63536) TTE: 0x800000013fe40012
pcib0: adding PROM IOTSB slot 49 (kernel slot 63537) TTE: 0x800000013fe42012
pcib0: adding PROM IOTSB slot 50 (kernel slot 63538) TTE: 0x800000013fe44012
pcib0: adding PROM IOTSB slot 51 (kernel slot 63539) TTE: 0x800000013fe46012
pcib0: adding PROM IOTSB slot 52 (kernel slot 63540) TTE: 0x800000013fe48012
pcib0: adding PROM IOTSB slot 53 (kernel slot 63541) TTE: 0x800000013fe4a012
pcib0: adding PROM IOTSB slot 54 (kernel slot 63542) TTE: 0x800000013fe4c012
pcib0: adding PROM IOTSB slot 55 (kernel slot 63543) TTE: 0x800000013fe4e012
pcib0: adding PROM IOTSB slot 56 (kernel slot 63544) TTE: 0x800000013fe50012
pcib0: adding PROM IOTSB slot 57 (kernel slot 63545) TTE: 0x800000013fe52012
pcib0: adding PROM IOTSB slot 58 (kernel slot 63546) TTE: 0x800000013fe54012
pcib0: adding PROM IOTSB slot 59 (kernel slot 63547) TTE: 0x800000013fe56012
pcib0: adding PROM IOTSB slot 60 (kernel slot 63548) TTE: 0x800000013fe58012
pcib0: adding PROM IOTSB slot 61 (kernel slot 63549) TTE: 0x800000013fe5a012
pcib0: adding PROM IOTSB slot 62 (kernel slot 63550) TTE: 0x800000013fe5c012
pcib0: adding PROM IOTSB slot 63 (kernel slot 63551) TTE: 0x800000013fe5e012
pcib0: adding PROM IOTSB slot 64 (kernel slot 63552) TTE: 0x800000013fe60012
pcib0: adding PROM IOTSB slot 65 (kernel slot 63553) TTE: 0x800000013fe62012
pcib0: adding PROM IOTSB slot 66 (kernel slot 63554) TTE: 0x800000013fe64012
pcib0: adding PROM IOTSB slot 67 (kernel slot 63555) TTE: 0x800000013fe66012
pcib0: adding PROM IOTSB slot 68 (kernel slot 63556) TTE: 0x800000013fe68012
pcib0: adding PROM IOTSB slot 69 (kernel slot 63557) TTE: 0x800000013fe6a012
pcib0: adding PROM IOTSB slot 70 (kernel slot 63558) TTE: 0x800000013fe6c012
pcib0: adding PROM IOTSB slot 71 (kernel slot 63559) TTE: 0x800000013fe6e012
pcib0: adding PROM IOTSB slot 72 (kernel slot 63560) TTE: 0x800000013fe70012
pcib0: adding PROM IOTSB slot 73 (kernel slot 63561) TTE: 0x800000013fe72012
pcib0: adding PROM IOTSB slot 74 (kernel slot 63562) TTE: 0x800000013fe74012
pcib0: adding PROM IOTSB slot 75 (kernel slot 63563) TTE: 0x800000013fe76012
pcib0: adding PROM IOTSB slot 76 (kernel slot 63564) TTE: 0x800000013fe78012
pcib0: adding PROM IOTSB slot 77 (kernel slot 63565) TTE: 0x800000013fe7a012
pcib0: adding PROM IOTSB slot 78 (kernel slot 63566) TTE: 0x800000013fe7c012
pcib0: adding PROM IOTSB slot 79 (kernel slot 63567) TTE: 0x800000013fe7e012
pcib0: adding PROM IOTSB slot 80 (kernel slot 63568) TTE: 0x800000013fe80012
pcib0: adding PROM IOTSB slot 81 (kernel slot 63569) TTE: 0x800000013fe82012
pcib0: adding PROM IOTSB slot 82 (kernel slot 63570) TTE: 0x800000013fe84012
pcib0: adding PROM IOTSB slot 83 (kernel slot 63571) TTE: 0x800000013fe86012
pcib0: adding PROM IOTSB slot 84 (kernel slot 63572) TTE: 0x800000013fe88012
pcib0: adding PROM IOTSB slot 85 (kernel slot 63573) TTE: 0x800000013fe8a012
pcib0: adding PROM IOTSB slot 86 (kernel slot 63574) TTE: 0x800000013fe8c012
pcib0: adding PROM IOTSB slot 87 (kernel slot 63575) TTE: 0x800000013fe8e012
pcib0: adding PROM IOTSB slot 88 (kernel slot 63576) TTE: 0x800000013fe90012
pcib0: adding PROM IOTSB slot 89 (kernel slot 63577) TTE: 0x800000013fe92012
pcib0: adding PROM IOTSB slot 90 (kernel slot 63578) TTE: 0x800000013fe94012
pcib0: adding PROM IOTSB slot 91 (kernel slot 63579) TTE: 0x800000013fe96012
pcib0: adding PROM IOTSB slot 92 (kernel slot 63580) TTE: 0x800000013fe98012
pcib0: adding PROM IOTSB slot 93 (kernel slot 63581) TTE: 0x800000013fe9a012
pcib0: adding PROM IOTSB slot 94 (kernel slot 63582) TTE: 0x800000013fe9c012
pcib0: adding PROM IOTSB slot 95 (kernel slot 63583) TTE: 0x800000013fe9e012
pcib0: adding PROM IOTSB slot 96 (kernel slot 63584) TTE: 0x800000013fea0012
pcib0: adding PROM IOTSB slot 97 (kernel slot 63585) TTE: 0x800000013fea2012
pcib0: adding PROM IOTSB slot 98 (kernel slot 63586) TTE: 0x800000013fea4012
pcib0: adding PROM IOTSB slot 99 (kernel slot 63587) TTE: 0x800000013fea6012
pcib0: adding PROM IOTSB slot 100 (kernel slot 63588) TTE: 0x800000013fea8012
pcib0: adding PROM IOTSB slot 101 (kernel slot 63589) TTE: 0x800000013feaa012
pcib0: adding PROM IOTSB slot 102 (kernel slot 63590) TTE: 0x800000013feac012
pcib0: adding PROM IOTSB slot 103 (kernel slot 63591) TTE: 0x800000013feae012
pcib0: adding PROM IOTSB slot 104 (kernel slot 63592) TTE: 0x800000013feb0012
pcib0: adding PROM IOTSB slot 105 (kernel slot 63593) TTE: 0x800000013feb2012
pcib0: adding PROM IOTSB slot 106 (kernel slot 63594) TTE: 0x800000013feb4012
pcib0: adding PROM IOTSB slot 107 (kernel slot 63595) TTE: 0x800000013feb6012
pcib0: adding PROM IOTSB slot 108 (kernel slot 63596) TTE: 0x800000013feb8012
pcib0: adding PROM IOTSB slot 109 (kernel slot 63597) TTE: 0x800000013feba012
pcib0: adding PROM IOTSB slot 110 (kernel slot 63598) TTE: 0x800000013febc012
pcib0: adding PROM IOTSB slot 111 (kernel slot 63599) TTE: 0x800000013febe012
pcib0: adding PROM IOTSB slot 112 (kernel slot 63600) TTE: 0x800000013fec0012
pcib0: adding PROM IOTSB slot 113 (kernel slot 63601) TTE: 0x800000013fec2012
pcib0: adding PROM IOTSB slot 114 (kernel slot 63602) TTE: 0x800000013fec4012
pcib0: adding PROM IOTSB slot 115 (kernel slot 63603) TTE: 0x800000013fec6012
pcib0: adding PROM IOTSB slot 116 (kernel slot 63604) TTE: 0x800000013fec8012
pcib0: adding PROM IOTSB slot 117 (kernel slot 63605) TTE: 0x800000013feca012
pcib0: adding PROM IOTSB slot 118 (kernel slot 63606) TTE: 0x800000013fecc012
pcib0: adding PROM IOTSB slot 119 (kernel slot 63607) TTE: 0x800000013fece012
pcib0: adding PROM IOTSB slot 120 (kernel slot 63608) TTE: 0x800000013fed0012
pcib0: adding PROM IOTSB slot 121 (kernel slot 63609) TTE: 0x800000013fed2012
pcib0: adding PROM IOTSB slot 122 (kernel slot 63610) TTE: 0x800000013fed4012
pcib0: adding PROM IOTSB slot 123 (kernel slot 63611) TTE: 0x800000013fed6012
pcib0: adding PROM IOTSB slot 124 (kernel slot 63612) TTE: 0x800000013fed8012
pcib0: adding PROM IOTSB slot 125 (kernel slot 63613) TTE: 0x800000013feda012
pcib0: adding PROM IOTSB slot 126 (kernel slot 63614) TTE: 0x800000013fedc012
pcib0: adding PROM IOTSB slot 127 (kernel slot 63615) TTE: 0x800000013fede012
pcib0: bus range 0 to 1; PCI bus 0
initalizing intr_countp
pcib0: [FILTER]
pci0: <OFW PCI bus> on pcib0
pci0: domain=0, physical bus=0
found->	vendor=0x108e, dev=0xa801, revid=0x00
	domain=0, bus=0, slot=0, func=0
	class=06-00-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0146, statreg=0x02a0, cachelnsz=0 (dwords)
	lattimer=0x40 (1920 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
found->	vendor=0x10b9, dev=0x1533, revid=0x00
	domain=0, bus=0, slot=7, func=0
	class=06-01-00, hdrtype=0x00, mfdev=0
	cmdreg=0x000f, statreg=0x0210, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	powerspec 1  supports D0 D3  current D0
found->	vendor=0x10b9, dev=0x7101, revid=0x00
	domain=0, bus=0, slot=6, func=0
	class=00-00-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0000, statreg=0x0200, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
found->	vendor=0x10b9, dev=0x5451, revid=0x02
	domain=0, bus=0, slot=8, func=0
	class=04-01-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0000, statreg=0x0290, cachelnsz=0 (dwords)
	lattimer=0x10 (480 ns), mingnt=0x02 (500 ns), maxlat=0x18 (6000 ns)
	intpin=a, irq=255
	powerspec 2  supports D0 D1 D2 D3  current D0
	map[10]: type I/O Port, range 32, base rx900, size  8, port disabled
	map[14]: type Memory, range 32, base rx100000, size 12, memory disabled
found->	vendor=0x10b9, dev=0x5237, revid=0x03
	domain=0, bus=0, slot=10, func=0
	class=0c-03-10, hdrtype=0x00, mfdev=0
	cmdreg=0x0000, statreg=0x0290, cachelnsz=0 (dwords)
	lattimer=0x40 (1920 ns), mingnt=0x00 (0 ns), maxlat=0x50 (20000 ns)
	intpin=a, irq=255
	powerspec 2  supports D0 D3  current D0
	map[10]: type Memory, range 32, base rx1000000, size 12, memory disabled
found->	vendor=0x10b9, dev=0x5237, revid=0x03
	domain=0, bus=0, slot=11, func=0
	class=0c-03-10, hdrtype=0x00, mfdev=0
	cmdreg=0x0146, statreg=0x0290, cachelnsz=0 (dwords)
	lattimer=0x40 (1920 ns), mingnt=0x00 (0 ns), maxlat=0x50 (20000 ns)
	intpin=a, irq=255
	powerspec 2  supports D0 D3  current D0
	map[10]: type Memory, range 32, base rx2000000, size 12, enabled
found->	vendor=0x10b9, dev=0x5229, revid=0xc4
	domain=0, bus=0, slot=13, func=0
	class=01-01-ff, hdrtype=0x00, mfdev=0
	cmdreg=0x0000, statreg=0x0290, cachelnsz=0 (dwords)
	lattimer=0x10 (480 ns), mingnt=0x02 (500 ns), maxlat=0x04 (1000 ns)
	intpin=a, irq=255
	powerspec 2  supports D0 D3  current D0
	map[10]: type I/O Port, range 32, base rxa00, size  3, port disabled
	map[14]: type I/O Port, range 32, base rxa18, size  2, enabled
	map[18]: type I/O Port, range 32, base rxa10, size  3, enabled
	map[1c]: type I/O Port, range 32, base rxa08, size  2, enabled
	map[20]: type I/O Port, range 32, base rxa20, size  4, enabled
found->	vendor=0x104c, dev=0xac23, revid=0x02
	domain=0, bus=0, slot=2, func=0
	class=06-04-00, hdrtype=0x01, mfdev=0
	cmdreg=0x0007, statreg=0x0210, cachelnsz=16 (dwords)
	lattimer=0x40 (1920 ns), mingnt=0x23 (8750 ns), maxlat=0x00 (0 ns)
	powerspec 1  supports D0 D3  current D0
found->	vendor=0x1002, dev=0x4752, revid=0x27
	domain=0, bus=0, slot=5, func=0
	class=03-00-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0082, statreg=0x0290, cachelnsz=16 (dwords)
	lattimer=0x40 (1920 ns), mingnt=0x08 (2000 ns), maxlat=0x00 (0 ns)
	intpin=a, irq=255
	powerspec 2  supports D0 D1 D2 D3  current D0
	map[10]: type Memory, range 32, base rx4000000, size 24, enabled
	map[14]: type I/O Port, range 32, base rxb00, size  8, port disabled
	map[18]: type Memory, range 32, base rx102000, size 12, enabled
pcib1: <OFW PCI-PCI bridge> at device 2.0 on pci0
pcib1:   domain            0
pcib1:   secondary bus     1
pcib1:   subordinate bus   1
pcib1:   I/O decode        0x1000-0xfff
pcib1:   memory decode     0x3000000-0x30fffff
pcib1:   no prefetched decode
pci1: <OFW PCI bus> on pcib1
pci1: domain=0, physical bus=1
found->	vendor=0x1033, dev=0x0035, revid=0x43
	domain=0, bus=1, slot=8, func=0
	class=0c-03-10, hdrtype=0x00, mfdev=1
	cmdreg=0x0000, statreg=0x0210, cachelnsz=16 (dwords)
	lattimer=0x08 (240 ns), mingnt=0x01 (250 ns), maxlat=0x2a (10500 ns)
	intpin=a, irq=255
	powerspec 2  supports D0 D1 D2 D3  current D0
	map[10]: type Memory, range 32, base rx3000000, size 12, memory disabled
pcib1: requested memory range 0x3000000-0x3000fff: good
found->	vendor=0x1033, dev=0x0035, revid=0x43
	domain=0, bus=1, slot=8, func=1
	class=0c-03-10, hdrtype=0x00, mfdev=0
	cmdreg=0x0000, statreg=0x0210, cachelnsz=16 (dwords)
	lattimer=0x08 (240 ns), mingnt=0x01 (250 ns), maxlat=0x2a (10500 ns)
	intpin=b, irq=255
	powerspec 2  supports D0 D1 D2 D3  current D0
	map[10]: type Memory, range 32, base rx3002000, size 12, memory disabled
pcib1: requested memory range 0x3002000-0x3002fff: good
found->	vendor=0x1033, dev=0x00e0, revid=0x04
	domain=0, bus=1, slot=8, func=2
	class=0c-03-20, hdrtype=0x00, mfdev=0
	cmdreg=0x0000, statreg=0x0210, cachelnsz=16 (dwords)
	lattimer=0x80 (3840 ns), mingnt=0x10 (4000 ns), maxlat=0x22 (8500 ns)
	intpin=c, irq=255
	powerspec 2  supports D0 D1 D2 D3  current D0
	map[10]: type Memory, range 32, base rx3004000, size  8, memory disabled
pcib1: requested memory range 0x3004000-0x30040ff: good
found->	vendor=0x104c, dev=0x8024, revid=0x00
	domain=0, bus=1, slot=11, func=0
	class=0c-00-10, hdrtype=0x00, mfdev=0
	cmdreg=0x0000, statreg=0x0210, cachelnsz=16 (dwords)
	lattimer=0x10 (480 ns), mingnt=0x02 (500 ns), maxlat=0x04 (1000 ns)
	intpin=a, irq=255
	powerspec 2  supports D0 D1 D2 D3  current D0
	map[10]: type Memory, range 32, base rx3006000, size 11, memory disabled
pcib1: requested memory range 0x3006000-0x30067ff: good
	map[14]: type Memory, range 32, base rx3008000, size 14, enabled
pcib1: requested memory range 0x3008000-0x300bfff: good
pcib2: <Sun Host-PCI bridge> mem 0x4000ff00000-0x4000ff0afff,0x4000fc10000-0x4000fc1701f,0x7f600000000-0x7f6000000ff,0x4000ff80000-0x4000ff8ffff irq 2035,2032,2033,2036,2019 on nexus0
pcib2: Tomatillo, version 4, IGN 0x1f, bus B, 66MHz
pcib2: DVMA map: 0xc0000000 to 0xdfffffff 65536 entries
pcib2: PROM IOTSB size: 1 (2048 entries)
pcib2: bus range 0 to 0; PCI bus 0
pcib2: [FILTER]
pcib2: [FILTER]
pcib2: [FILTER]
pcib2: [FILTER]
pci2: <OFW PCI bus> on pcib2
pci2: domain=2, physical bus=0
found->	vendor=0x108e, dev=0xa801, revid=0x00
	domain=2, bus=0, slot=0, func=0
	class=06-00-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0146, statreg=0x02a0, cachelnsz=0 (dwords)
	lattimer=0x40 (1920 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
found->	vendor=0x14e4, dev=0x1647, revid=0x00
	domain=2, bus=0, slot=2, func=0
	class=02-00-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0000, statreg=0x02b0, cachelnsz=16 (dwords)
	lattimer=0xf8 (7440 ns), mingnt=0x40 (16000 ns), maxlat=0x00 (0 ns)
	intpin=a, irq=255
	powerspec 2  supports D0 D3  current D0
	MSI supports 8 messages, 64 bit
	map[10]: type Memory, range 64, base rx200000, size 16, memory disabled
nexus0: <memory-controller> mem 0x40000000000-0x40000000007 type memory-controller (no driver attached)
isab0: <PCI-ISA bridge> at device 7.0 on pci0
pcib0: could not route pin 1 for device 7.0
isa0: could not map ISA interrupt 1 for node 0xf0088520: parallel
isa0: <ISA bus> on isab0
pci0: <old, non-VGA display device> at device 6.0 (no driver attached)
pci0: <multimedia, audio> at device 8.0 (no driver attached)
ohci0: <AcerLabs M5237 (Aladdin-V) USB controller> mem 0x1000000-0x1000fff at device 10.0 on pci0
ohci0: Reserved 0x1000 bytes for rid 0x10 type 3 at 0x1000000
ohci0: [MPSAFE]
ohci0: [ITHREAD]
usbus0: <AcerLabs M5237 (Aladdin-V) USB controller> on ohci0
ohci1: <AcerLabs M5237 (Aladdin-V) USB controller> mem 0x2000000-0x2000fff at device 11.0 on pci0
ohci1: Reserved 0x1000 bytes for rid 0x10 type 3 at 0x2000000
ohci1: [MPSAFE]
ohci1: [ITHREAD]
usbus1: <AcerLabs M5237 (Aladdin-V) USB controller> on ohci1
atapci0: <AcerLabs M5229 UDMA100 controller> port 0xa00-0xa07,0xa18-0xa1b,0xa10-0xa17,0xa08-0xa0b,0xa20-0xa2f at device 13.0 on pci0
atapci0: Reserved 0x10 bytes for rid 0x20 type 4 at 0xa20
atapci0: [MPSAFE]
atapci0: [ITHREAD]
atapci0: using PIO transfers above 137GB as workaround for 48bit DMA access bug, expect reduced performance
ata2: <ATA channel 0> on atapci0
atapci0: Reserved 0x8 bytes for rid 0x10 type 4 at 0xa00
atapci0: Reserved 0x4 bytes for rid 0x14 type 4 at 0xa18
ata2: reset tp1 mask=03 ostat0=50 ostat1=00
ata2: stat0=0x90 err=0x90 lsb=0x90 msb=0x90
ata2: stat0=0x50 err=0x01 lsb=0x00 msb=0x00
ata2: stat1=0x00 err=0x01 lsb=0x00 msb=0x00
ata2: reset tp2 stat0=50 stat1=00 devices=0x1
ata2: [MPSAFE]
ata2: [ITHREAD]
ata3: <ATA channel 1> on atapci0
atapci0: Reserved 0x8 bytes for rid 0x18 type 4 at 0xa10
atapci0: Reserved 0x4 bytes for rid 0x1c type 4 at 0xa08
ata3: reset tp1 mask=03 ostat0=00 ostat1=00
ata3: stat0=0x00 err=0x01 lsb=0x14 msb=0xeb
ata3: stat1=0x00 err=0x00 lsb=0x00 msb=0x00
ata3: reset tp2 stat0=00 stat1=00 devices=0x10000
ata3: [MPSAFE]
ata3: [ITHREAD]
ohci2: <NEC uPD 9210 USB controller> mem 0x3000000-0x3000fff at device 8.0 on pci1
ohci2: Reserved 0x1000 bytes for rid 0x10 type 3 at 0x3000000
pcib1: slot 8 INTA is routed to irq 16
pcib0: installed DMA sync wrapper for device 8.0 on bus 1
ohci2: [MPSAFE]
ohci2: [ITHREAD]
usbus2: <NEC uPD 9210 USB controller> on ohci2
ohci3: <NEC uPD 9210 USB controller> mem 0x3002000-0x3002fff at device 8.1 on pci1
ohci3: Reserved 0x1000 bytes for rid 0x10 type 3 at 0x3002000
pcib1: slot 8 INTB is routed to irq 17
pcib0: installed DMA sync wrapper for device 8.1 on bus 1
ohci3: [MPSAFE]
ohci3: [ITHREAD]
usbus3: <NEC uPD 9210 USB controller> on ohci3
ehci0: <NEC uPD 720100 USB 2.0 controller> mem 0x3004000-0x30040ff at device 8.2 on pci1
ehci0: Reserved 0x100 bytes for rid 0x10 type 3 at 0x3004000
pcib1: slot 8 INTC is routed to irq 18
pcib0: installed DMA sync wrapper for device 8.2 on bus 1
ehci0: [MPSAFE]
ehci0: [ITHREAD]
usbus4: EHCI version 1.0
usbus4: <NEC uPD 720100 USB 2.0 controller> on ehci0
fwohci0: <Texas Instruments TSB43AB23> mem 0x3006000-0x30067ff,0x3008000-0x300bfff at device 11.0 on pci1
fwohci0: Reserved 0x800 bytes for rid 0x10 type 3 at 0x3006000
pcib1: slot 11 INTA is routed to irq 19
pcib0: installed DMA sync wrapper for device 11.0 on bus 1
fwohci0: [MPSAFE]
fwohci0: [ITHREAD]
fwohci0: OHCI version 1.10 (ROM=1)
fwohci0: No. of Isochronous channels is 4.
fwohci0: EUI64 00:05:16:00:00:71:20:54
fwohci0: Phy 1394a available S400, 3 ports.
fwohci0: Link S400, max_rec 2048 bytes.
firewire0: <IEEE1394(FireWire) bus> on fwohci0
dcons_crom0: <dcons configuration ROM> on firewire0
dcons_crom0: bus_addr 0xc1590000
fwe0: <Ethernet over FireWire> on firewire0
if_fwe0: Fake Ethernet address: 02:05:16:71:20:54
fwe0: bpf attached
fwe0: Ethernet address: 02:05:16:71:20:54
fwip0: <IP over FireWire> on firewire0
fwip0: bpf attached
fwip0: Firewire address: 00:05:16:00:00:71:20:54 @ 0xfffe00000000, S400, maxrec 2048
fwohci0: Initiate bus reset
fwohci0: fwohci_intr_core: BUS reset
fwohci0: fwohci_intr_core: node_id=0x00000000, SelfID Count=1, CYCLEMASTER mode
machfb0: <ATI Rage XL> port 0xb00-0xbff mem 0x4000000-0x4ffffff,0x102000-0x102fff at device 5.0 on pci0
machfb0: console
machfb0: Reserved 0x1000000 bytes for rid 0x10 type 3 at 0x4000000
machfb0: Reserved 0x1000 bytes for rid 0x18 type 3 at 0x102000
machfb0: 16 MB aperture at 0xfddcc000 not swapped
machfb0: 8188 KB SGRAM 114.992 MHz, maximum RAMDAC clock 230 MHz, DSP
machfb0: resolution 1152x900 at 8 bpp
jbusppm0: <JBus power management> mem 0x4000f000000-0x4000f000007,0x4000f410050-0x4000f41005f on nexus0
jbusppm0: master I/O bridge
jbusppm0: running at full speed
bge0: <Broadcom BCM5703 A2, ASIC rev. 0x001002> mem 0x200000-0x20ffff at device 2.0 on pci2
bge0: Reserved 0x10000 bytes for rid 0x10 type 3 at 0x200000
bge0: CHIP ID 0x00001002; ASIC REV 0x01; CHIP REV 0x10; PCI
miibus0: <MII bus> on bge0
brgphy0: <BCM5703 10/100/1000baseTX PHY> PHY 1 on miibus0
brgphy0: OUI 0x000818, model 0x0016, rev. 2
brgphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, auto, auto-flow
bge0: bpf attached
bge0: Ethernet address: 00:14:4f:23:7e:fe
bge0: [MPSAFE]
bge0: [ITHREAD]
nexus0: <i2c> mem 0x4000fc64000-0x4000fc6400f type i2c (no driver attached)
syscons0: <System console> on nexus0
syscons0: Unknown <16 virtual consoles, flags=0x300>
syscons0: fb0, kbd0, terminal emulator: scteken (teken terminal)
(null) failed to probe at iomem 0xf0000000-0xf00fffff on isa0
rtc0: <Real-Time Clock> at port 0x70-0x71 on isa0
rtc0: registered as a time-of-day clock (resolution 1000000us)
ct_to_ts([2012-01-15 15:52:10]) = 1326642730.000000000
rtc0: current time: 1326642730.000000000
(null) failed to probe at port 0x320-0x321 irq 46 on isa0
(null) failed to probe at port 0x800-0x82f irq 32 on isa0
uart0: <16550 or compatible> at port 0x3f8-0x3ff irq 44 on isa0
uart0: [FILTER]
uart0: fast interrupt
uart1: <16550 or compatible> at port 0x2e8-0x2ef irq 44 on isa0
uart1: [FILTER]
uart1: fast interrupt
(null) failed to probe at port 0-0xffff on isa0
(null) failed to probe at port 0x378-0x37f,0-0x4ff drq 1 on isa0
procfs registered
Timecounter "tick" frequency 1503000000 Hz quality 1000
Timecounter "stick" frequency 12000000 Hz quality 1000
Timecounters tick every 1.000 msec
vlan: initialized, using hash tables with chaining
lo0: bpf attached
ata2: Identifying devices: 00000001
ata2: New devices: 00000001
firewire0: 1 nodes, maxhop <= 0 cable IRM irm(0)  (me) 
firewire0: bus manager 0 
usbus0: 12Mbps Full Speed USB v1.0
usbus1: 12Mbps Full Speed USB v1.0
usbus2: 12Mbps Full Speed USB v1.0
ugen0.1: <AcerLabs> at usbus0
uhub0: <AcerLabs OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus0
ugen1.1: <AcerLabs> at usbus1
uhub1: <AcerLabs OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus1
ugen2.1: <NEC> at usbus2
uhub2: <NEC OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus2
usbus3: 12Mbps Full Speed USB v1.0
usbus4: 480Mbps High Speed USB v2.0
ata2-master: pio=PIO4 wdma=WDMA2 udma=UDMA100 cable=80 wire
ugen3.1: <NEC> at usbus3
uhub3: <NEC OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus3
ugen4.1: <NEC> at usbus4
uhub4: <NEC EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus4
ad0: setting UDMA100
ad0: 114473MB <Seagate ST3120026A 8.01> at ata2-master UDMA100 
ad0: 234441648 sectors [232581C/16H/63S] 16 sectors/interrupt 1 depth queue
ata3: Identifying devices: 00010000
ata3: New devices: 00010000
GEOM: new disk ad0
ata3-master: pio=PIO4 wdma=WDMA2 udma=UDMA66 cable=40 wire
acd0: setting UDMA66
acd0: <ASUS DRW-22B3S/1.00> DVDR drive at ata3 as master
acd0: read 8269KB/s (8269KB/s) write 8269KB/s (8269KB/s), 2048KB buffer, UDMA66 
acd0: Reads: CDR, CDRW, CDDA stream, DVDROM, DVDR, DVDRAM, packet
acd0: Writes: CDR, CDRW, DVDR, DVDRAM, test write, burnproof
acd0: Audio: play, 256 volume levels
acd0: Mechanism: ejectable tray, unlocked
acd0: Medium: CD-R 120mm data disc
GEOM: ad0: adding VTOC8 information.
uhub0: 2 ports with 2 removable, self powered
uhub1: 2 ports with 2 removable, self powered
uhub3: 2 ports with 2 removable, self powered
uhub2: 3 ports with 3 removable, self powered
ugen1.2: <Logitech> at usbus1
ukbd0: <USB Keyboard> on usbus1
kbd: new array size 4
kbd1 at ukbd0
kbd1: ukbd0, generic (0), config:0x0, flags:0x3d0000
uhid0: <USB Keyboard> on usbus1
ugen1.3: <Logitech> at usbus1
ums0: <Logitech USB Optical Mouse, class 0/0, rev 2.00/54.00, addr 3> on usbus1
ums0: 8 buttons and [XYZT] coordinates ID=0
uhub4: 5 ports with 5 removable, self powered
acd0: FAILURE - READ_BIG MEDIUM ERROR asc=0x11 ascq=0x05 
Trying to mount root from ufs:/dev/ad0a
ct_to_ts([2012-01-15 15:52:21]) = 1326642741.000000000
start_init: trying /sbin/init

--------------

dmesg when booting 9.0 with hw.physmem set to 1048576000:

Copyright (c) 1992-2012 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 9.0-RELEASE #0: Mon Jan 16 01:51:15 CET 2012
    root@tarazed.cordula.ws:/usr/obj/usr/src/sys/GENERIC sparc64
real memory  = 2147483648 (2048 MB)
avail memory = 1018658816 (971 MB)
cpu0: Sun Microsystems UltraSparc-IIIi Processor (1503.00 MHz CPU)
kbd0 at kbdmux0
nexus0: <Open Firmware Nexus device>
pcib0: <Sun Host-PCI bridge> mem 0x4000f600000-0x4000f60afff,0x4000f410000-0x4000f41701f,0x7fe00000000-0x7fe000000ff,0x4000f780000-0x4000f78ffff irq 1970,1968,1969,1972,1953 on nexus0
pcib0: Tomatillo, version 4, IGN 0x1e, bus A, PCI mode, 33MHz
pcib0: DVMA map: 0xc0000000 to 0xdfffffff 65536 entries
pci0: <OFW PCI bus> on pcib0
pcib1: <OFW PCI-PCI bridge> at device 2.0 on pci0
pci1: <OFW PCI bus> on pcib1
pcib2: <Sun Host-PCI bridge> mem 0x4000ff00000-0x4000ff0afff,0x4000fc10000-0x4000fc1701f,0x7f600000000-0x7f6000000ff,0x4000ff80000-0x4000ff8ffff irq 2035,2032,2033,2036,2019 on nexus0
pcib2: Tomatillo, version 4, IGN 0x1f, bus B, PCI mode, 66MHz
pcib2: DVMA map: 0xc0000000 to 0xdfffffff 65536 entries
pci2: <OFW PCI bus> on pcib2
nexus0: <memory-controller> mem 0x40000000000-0x40000000007 type memory-controller (no driver attached)
isab0: <PCI-ISA bridge> at device 7.0 on pci0
pcib0: could not route pin 1 for device 7.0
isa0: could not map ISA interrupt 1 for node 0xf0088520: parallel
isa0: <ISA bus> on isab0
pci0: <old, non-VGA display device> at device 6.0 (no driver attached)
pcm0: <Acer Labs M5451> port 0x900-0x9ff mem 0x100000-0x100fff at device 8.0 on pci0
pcm0: <Analog Devices AD1881A AC97 Codec>
pcm0: [GIANT-LOCKED]
ohci0: <AcerLabs M5237 (Aladdin-V) USB controller> mem 0x1000000-0x1000fff at device 10.0 on pci0
usbus0: <AcerLabs M5237 (Aladdin-V) USB controller> on ohci0
ohci1: <AcerLabs M5237 (Aladdin-V) USB controller> mem 0x2000000-0x2000fff at device 11.0 on pci0
usbus1: <AcerLabs M5237 (Aladdin-V) USB controller> on ohci1
atapci0: <AcerLabs M5229 UDMA100 controller> port 0xa00-0xa07,0xa18-0xa1b,0xa10-0xa17,0xa08-0xa0b,0xa20-0xa2f at device 13.0 on pci0
atapci0: using PIO transfers above 137GB as workaround for 48bit DMA access bug, expect reduced performance
ata2: <ATA channel 0> on atapci0
ata3: <ATA channel 1> on atapci0
ohci2: <NEC uPD 9210 USB controller> mem 0x3000000-0x3000fff at device 8.0 on pci1
usbus2: <NEC uPD 9210 USB controller> on ohci2
ohci3: <NEC uPD 9210 USB controller> mem 0x3002000-0x3002fff at device 8.1 on pci1
usbus3: <NEC uPD 9210 USB controller> on ohci3
ehci0: <NEC uPD 720100 USB 2.0 controller> mem 0x3004000-0x30040ff at device 8.2 on pci1
usbus4: EHCI version 1.0
usbus4: <NEC uPD 720100 USB 2.0 controller> on ehci0
fwohci0: <Texas Instruments TSB43AB23> mem 0x3006000-0x30067ff,0x3008000-0x300bfff at device 11.0 on pci1
fwohci0: OHCI version 1.10 (ROM=1)
fwohci0: No. of Isochronous channels is 4.
fwohci0: EUI64 00:05:16:00:00:71:20:54
fwohci0: Phy 1394a available S400, 3 ports.
fwohci0: Link S400, max_rec 2048 bytes.
firewire0: <IEEE1394(FireWire) bus> on fwohci0
dcons_crom0: <dcons configuration ROM> on firewire0
dcons_crom0: bus_addr 0xc15b4000
fwe0: <Ethernet over FireWire> on firewire0
if_fwe0: Fake Ethernet address: 02:05:16:71:20:54
fwe0: Ethernet address: 02:05:16:71:20:54
fwip0: <IP over FireWire> on firewire0
fwip0: Firewire address: 00:05:16:00:00:71:20:54 @ 0xfffe00000000, S400, maxrec 2048
fwohci0: Initiate bus reset
fwohci0: fwohci_intr_core: BUS reset
fwohci0: fwohci_intr_core: node_id=0x00000000, SelfID Count=1, CYCLEMASTER mode
machfb0: <ATI Rage XL> port 0xb00-0xbff mem 0x4000000-0x4ffffff,0x102000-0x102fff at device 5.0 on pci0
machfb0: console
machfb0: 16 MB aperture at 0xfddcc000 not swapped
machfb0: 8188 KB SGRAM 114.992 MHz, maximum RAMDAC clock 230 MHz, DSP
machfb0: resolution 1152x900 at 8 bpp
jbusppm0: <JBus power management> mem 0x4000f000000-0x4000f000007,0x4000f410050-0x4000f41005f on nexus0
bge0: <Broadcom BCM5703 A2, ASIC rev. 0x001002> mem 0x200000-0x20ffff at device 2.0 on pci2
bge0: CHIP ID 0x00001002; ASIC REV 0x01; CHIP REV 0x10; PCI
miibus0: <MII bus> on bge0
brgphy0: <BCM5703 1000BASE-T media interface> PHY 1 on miibus0
brgphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, auto, auto-flow
bge0: Ethernet address: 00:14:4f:23:7e:fe
nexus0: <i2c> mem 0x4000fc64000-0x4000fc6400f type i2c (no driver attached)
syscons0: <System console> on nexus0
syscons0: Unknown <16 virtual consoles, flags=0x300>
rtc0: <Real-Time Clock> at port 0x70-0x71 on isa0
uart0: <16550 or compatible> at port 0x3f8-0x3ff irq 44 on isa0
uart1: <16550 or compatible> at port 0x2e8-0x2ef irq 44 on isa0
Timecounter "tick" frequency 1503000000 Hz quality 1000
Timecounter "stick" frequency 12000000 Hz quality 1000
Event timer "tick" frequency 1503000000 Hz quality 1000
Timecounters tick every 1.000 msec
firewire0: 1 nodes, maxhop <= 0 cable IRM irm(0)  (me) 
firewire0: bus manager 0 
usbus0: 12Mbps Full Speed USB v1.0
usbus1: 12Mbps Full Speed USB v1.0
usbus2: 12Mbps Full Speed USB v1.0
ugen0.1: <AcerLabs> at usbus0
uhub0: <AcerLabs OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus0
ugen1.1: <AcerLabs> at usbus1
uhub1: <AcerLabs OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus1
ugen2.1: <NEC> at usbus2
uhub2: <NEC OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus2
usbus3: 12Mbps Full Speed USB v1.0
usbus4: 480Mbps High Speed USB v2.0
ugen3.1: <NEC> at usbus3
uhub3: <NEC OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus3
ugen4.1: <NEC> at usbus4
uhub4: <NEC EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus4
ada0 at ata2 bus 0 scbus0 target 0 lun 0
ada0: <ST3120026A 8.01> ATA-6 device
ada0: 100.000MB/s transfers (UDMA5, PIO 8192bytes)
ada0: 114473MB (234441648 512 byte sectors: 16H 63S/T 16383C)
ada0: Previously was known as ad0
cd0 at ata3 bus 0 scbus1 target 0 lun 0
cd0: <ASUS DRW-22B3S 1.00> Removable CD-ROM SCSI-0 device 
cd0: 66.700MB/s transfers (UDMA4, ATAPI 12bytes, PIO 65534bytes)
cd0: Attempt to query device size failed: NOT READY, Medium not present - tray closed
uhub0: 2 ports with 2 removable, self powered
uhub1: 2 ports with 2 removable, self powered
GEOM: ada0: adding VTOC8 information.
uhub2: 3 ports with 3 removable, self powered
uhub3: 2 ports with 2 removable, self powered
Root mount waiting for: usbus4 usbus1
ugen1.2: <Logitech> at usbus1
ums0: <Logitech USB Optical Mouse, class 0/0, rev 2.00/54.00, addr 2> on usbus1
ums0: 8 buttons and [XYZT] coordinates ID=0
Root mount waiting for: usbus4 usbus1
ugen1.3: <vendor 0x0430> at usbus1
uhub5: <vendor 0x0430 product 0x100e, class 9/0, rev 2.00/1.03, addr 3> on usbus1
uhub4: 5 ports with 5 removable, self powered
Root mount waiting for: usbus1
uhub5: 4 ports with 3 removable, bus powered
Root mount waiting for: usbus1
ugen1.4: <vendor 0x0430> at usbus1
ukbd0: <vendor 0x0430 Sun USB Keyboard, class 0/0, rev 2.00/1.03, addr 4> on usbus1
kbd1 at ukbd0
Trying to mount root from ufs:/dev/ad0a [rw]...

Fix: 

No fix for now.

Workaround 1:
  When booting, get the loader prompt and enter
    set hw.physmem=1048576000
  then
    boot.

Workaround 2:
  Set hw.physmem in /boot/loader.conf:
    hw.physmem="1048576000"
How-To-Repeat: Install 9.0-RELEASE via source-upgrade from a previous
release on a SunBlade 1500 with 2 GB RAM, and reboot.
Comment 1 Peter Jeremy 2012-01-18 08:43:55 UTC
On 2012-Jan-17 00:47:14 +0000, "C. P. Ghost" <cpghost@cordula.ws> wrote:
>Booting a FreeBSD-9.0-RELEASE kernel on a Blade 1500 panics with:
>
>panic: kmem_suballoc: bad status return of 3
>cpuid = 0
>KDB: stack backtrace:
>  #0 0xc079841c at ??+0
>  #1 0xc04ca59c at ??+0
>  #2 0xc0487f90 at ??+0
>  #3 0xc0098028 at ??+0
>
>This is on a Blade 1500 with 2 GB of RAM.


I can reproduce this on my SB1500 but only with 2GB RAM (4x512MB
DIMMs) installed.  When I install 1GB RAM (4x256MB) or 4GB RAM
(4x1GB), FreeBSD-9.0-RELEASE-sparc64-disc1.iso boots successfully.

The problem is still present in 10-current:
ok boot freebsd
Boot device: /pci@1e,600000/ide@d/disk@1,0  File and args: 
 
>> FreeBSD/sparc64 boot block

   Boot path:   /pci@1e,600000/ide@d/disk@1,0:a
   Boot loader: /boot/loader
Consoles: Open Firmware console

FreeBSD/sparc64 bootstrap loader, Revision 1.0
(root@sb1500.vk2pj.dyndns.org, Fri Jan  6 14:29:31 EST 2012)
bootpath="/pci@1e,600000/ide@d/disk@1,0:a"
Loading /boot/defaults/loader.conf
/boot/kernel/kernel data=0x576f58+0x1fbea8 syms=[0x8+0x7db80+0x8+0x72981]

Hit [Enter] to boot immediately, or any other key for command prompt.
Booting [/boot/kernel/kernel]...
jumping to kernel entry at 0xc0070000.
KDB: debugger backends: ddb
KDB: current backend: ddb
Copyright (c) 1992-2012 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 10.0-CURRENT #4 r229481M: Tue Jan 10 15:54:52 EST 2012
    root@sb1500.vk2pj.dyndns.org:/usr/obj/usr/src/sys/sb1500 sparc64
WARNING: WITNESS option enabled, expect reduced performance.
panic: kmem_suballoc: bad status return of 3
KDB: stack backtrace:
(null)() at 0xc02a0330
(null)() at 0xc04526fc
(null)() at 0xc028a894
(null)() at 0xc024da70
(null)() at 0xc0070028
KDB: enter: panic
[ thread pid 0 tid 0 ]
Stopped at      0xc02d5dc0:     ta              %xcc, 1
db> bt
Tracing pid 0 tid 0 td 0xc0587890
(null)() at 0xc02a0374
(null)() at 0xc04526fc
(null)() at 0xc028a894
(null)() at 0xc024da70
(null)() at 0xc0070028
db> 

Since DDB isn't seeing the symbols, I didn't go further but expanded
those addresses later via kgdb:
0x00000000c02a0330 <panic+336>: call  0xc02d6340 <kdb_backtrace>
0x00000000c02a0374 <panic+404>: call  0xc02d5d40 <kdb_enter>
0x00000000c04526fc <kmem_suballoc+124>: call  0xc02a01e0 <panic>
0x00000000c028a894 <kmeminit+756>:      call  0xc0452680 <kmem_suballoc>
0x00000000c024da70 <mi_startup+464>:    call  %g1
0x00000000c0070028 <btext+40>:  call  0xc024d8a0 <mi_startup>

Overall, this suggests that Marius is correct in his suspicion that
this is related to strangeness in the RAM layout.

-- 
Peter Jeremy
Comment 2 dfilter service freebsd_committer 2012-01-27 22:25:55 UTC
Author: marius
Date: Fri Jan 27 22:25:46 2012
New Revision: 230630
URL: http://svn.freebsd.org/changeset/base/230630

Log:
  For machines where the kernel address space is unrestricted increase
  VM_KMEM_SIZE_SCALE to 2, awaiting more insight from alc@. As it turns
  out, the VM apparently has problems with machines that have large holes
  in the physical address space, causing the kmem_suballoc() call in
  kmeminit() to fail with a VM_KMEM_SIZE_SCALE of 1. Using a value of 2
  allows these, namely Blade 1500 with 2GB of RAM, to boot.
  
  PR:	164227

Modified:
  head/sys/sparc64/include/vmparam.h

Modified: head/sys/sparc64/include/vmparam.h
==============================================================================
--- head/sys/sparc64/include/vmparam.h	Fri Jan 27 22:24:03 2012	(r230629)
+++ head/sys/sparc64/include/vmparam.h	Fri Jan 27 22:25:46 2012	(r230630)
@@ -218,7 +218,7 @@
  * is the total KVA space allocated for kmem_map.
  */
 #ifndef VM_KMEM_SIZE_SCALE
-#define	VM_KMEM_SIZE_SCALE	(tsb_kernel_ldd_phys == 0 ? 3 : 1)
+#define	VM_KMEM_SIZE_SCALE	(tsb_kernel_ldd_phys == 0 ? 3 : 2)
 #endif
 
 /*
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2012-02-01 21:10:19 UTC
Author: marius
Date: Wed Feb  1 21:09:59 2012
New Revision: 230882
URL: http://svn.freebsd.org/changeset/base/230882

Log:
  MFC: r230630
  
  For machines where the kernel address space is unrestricted increase
  VM_KMEM_SIZE_SCALE to 2, awaiting more insight from alc@. As it turns
  out, the VM apparently has problems with machines that have large holes
  in the physical address space, causing the kmem_suballoc() call in
  kmeminit() to fail with a VM_KMEM_SIZE_SCALE of 1. Using a value of 2
  allows these, namely Blade 1500 with 2GB of RAM, to boot.
  
  PR:	164227

Modified:
  stable/9/sys/sparc64/include/vmparam.h
Directory Properties:
  stable/9/sys/   (props changed)
  stable/9/sys/amd64/include/xen/   (props changed)
  stable/9/sys/boot/   (props changed)
  stable/9/sys/boot/i386/efi/   (props changed)
  stable/9/sys/boot/ia64/efi/   (props changed)
  stable/9/sys/boot/ia64/ski/   (props changed)
  stable/9/sys/boot/powerpc/boot1.chrp/   (props changed)
  stable/9/sys/boot/powerpc/ofw/   (props changed)
  stable/9/sys/cddl/contrib/opensolaris/   (props changed)
  stable/9/sys/conf/   (props changed)
  stable/9/sys/contrib/dev/acpica/   (props changed)
  stable/9/sys/contrib/octeon-sdk/   (props changed)
  stable/9/sys/contrib/pf/   (props changed)
  stable/9/sys/contrib/x86emu/   (props changed)

Modified: stable/9/sys/sparc64/include/vmparam.h
==============================================================================
--- stable/9/sys/sparc64/include/vmparam.h	Wed Feb  1 21:08:35 2012	(r230881)
+++ stable/9/sys/sparc64/include/vmparam.h	Wed Feb  1 21:09:59 2012	(r230882)
@@ -218,7 +218,7 @@
  * is the total KVA space allocated for kmem_map.
  */
 #ifndef VM_KMEM_SIZE_SCALE
-#define	VM_KMEM_SIZE_SCALE	(tsb_kernel_ldd_phys == 0 ? 3 : 1)
+#define	VM_KMEM_SIZE_SCALE	(tsb_kernel_ldd_phys == 0 ? 3 : 2)
 #endif
 
 /*
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2012-02-01 21:10:34 UTC
Author: marius
Date: Wed Feb  1 21:10:00 2012
New Revision: 230883
URL: http://svn.freebsd.org/changeset/base/230883

Log:
  MFC: r230630
  
  For machines where the kernel address space is unrestricted increase
  VM_KMEM_SIZE_SCALE to 2, awaiting more insight from alc@. As it turns
  out, the VM apparently has problems with machines that have large holes
  in the physical address space, causing the kmem_suballoc() call in
  kmeminit() to fail with a VM_KMEM_SIZE_SCALE of 1. Using a value of 2
  allows these, namely Blade 1500 with 2GB of RAM, to boot.
  
  PR:	164227

Modified:
  stable/8/sys/sparc64/include/vmparam.h
Directory Properties:
  stable/8/sys/   (props changed)
  stable/8/sys/amd64/include/xen/   (props changed)
  stable/8/sys/cddl/contrib/opensolaris/   (props changed)
  stable/8/sys/contrib/dev/acpica/   (props changed)
  stable/8/sys/contrib/pf/   (props changed)
  stable/8/sys/dev/e1000/   (props changed)

Modified: stable/8/sys/sparc64/include/vmparam.h
==============================================================================
--- stable/8/sys/sparc64/include/vmparam.h	Wed Feb  1 21:09:59 2012	(r230882)
+++ stable/8/sys/sparc64/include/vmparam.h	Wed Feb  1 21:10:00 2012	(r230883)
@@ -222,7 +222,7 @@
  * is the total KVA space allocated for kmem_map.
  */
 #ifndef VM_KMEM_SIZE_SCALE
-#define	VM_KMEM_SIZE_SCALE	(tsb_kernel_ldd_phys == 0 ? 3 : 1)
+#define	VM_KMEM_SIZE_SCALE	(tsb_kernel_ldd_phys == 0 ? 3 : 2)
 #endif
 
 /*
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 5 Michael Moll freebsd_committer 2015-11-29 20:12:52 UTC
this got fixed, closing...